import { ElementRef } from '@angular/core';
import { TheatreTransformer } from '../transformers/transformer';
import * as i0 from "@angular/core";
export declare class TheatreSheetObjectSync<TObject extends object> {
    parent: import("@angular/core").InputSignal<TObject | ElementRef<TObject> | (() => TObject | ElementRef<TObject> | undefined | null)>;
    props: import("@angular/core").InputSignal<(string | [string, string | {
        label?: string;
        key?: string;
        transformer?: TheatreTransformer;
    }])[]>;
    private sheetObject;
    private studio;
    private parentRef;
    private resolvedProps;
    private init;
    private propsMapping;
    constructor();
    private resolvePropertyPath;
    static ɵfac: i0.ɵɵFactoryDeclaration<TheatreSheetObjectSync<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TheatreSheetObjectSync<any>, "[sync]", never, { "parent": { "alias": "sync"; "required": true; "isSignal": true; }; "props": { "alias": "syncProps"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
