import { ElementRef } from '@angular/core';
import { NgtsTransformControlsOptions } from 'angular-three-soba/gizmos';
import * as THREE from 'three';
import * as i0 from "@angular/core";
export declare class TheatreSheetObjectTransform<TLabel extends string | undefined> {
    label: import("@angular/core").InputSignal<TLabel | undefined>;
    key: import("@angular/core").InputSignal<string | undefined>;
    options: import("@angular/core").InputSignal<Pick<NgtsTransformControlsOptions, "mode" | "translationSnap" | "scaleSnap" | "rotationSnap" | "space">>;
    groupRef: import("@angular/core").Signal<ElementRef<THREE.Group<THREE.Object3DEventMap>>>;
    private sheetObject;
    private studio;
    protected selected: import("@angular/core").Signal<boolean>;
    private scrub?;
    private positionTransformer;
    private rotationTransformer;
    private scaleTransformer;
    protected onMouseDown(): void;
    protected onMouseUp(): void;
    protected onChange(): void;
    constructor();
    private init;
    static ɵfac: i0.ɵɵFactoryDeclaration<TheatreSheetObjectTransform<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TheatreSheetObjectTransform<any>, "theatre-transform", never, { "label": { "alias": "label"; "required": false; "isSignal": true; }; "key": { "alias": "key"; "required": false; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
