import { UnknownShorthandCompoundProps } from '@theatre/core';
import * as i0 from "@angular/core";
export declare class TheatreSheetObject {
    key: import("@angular/core").InputSignal<string>;
    props: import("@angular/core").InputSignal<UnknownShorthandCompoundProps>;
    detach: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    selected: import("@angular/core").ModelSignal<boolean>;
    private templateRef;
    private vcr;
    private sheet;
    private studio;
    private store;
    private originalSheetObject;
    sheetObject: import("@angular/core").WritableSignal<import("@theatre/core").ISheetObject<UnknownShorthandCompoundProps>>;
    values: import("@angular/core").WritableSignal<{
        [x: string]: any;
    }>;
    private detached;
    private aggregatedProps;
    constructor();
    update(): void;
    addProps(props: UnknownShorthandCompoundProps): void;
    removeProps(props: string[]): void;
    select(): void;
    deselect(): void;
    static ngTemplateContextGuard(_: TheatreSheetObject, ctx: unknown): ctx is {
        select: TheatreSheetObject['select'];
        deselect: TheatreSheetObject['deselect'];
        sheetObject: ReturnType<TheatreSheetObject['sheetObject']['asReadonly']>;
        values: ReturnType<TheatreSheetObject['values']['asReadonly']>;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<TheatreSheetObject, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TheatreSheetObject, "ng-template[sheetObject]", never, { "key": { "alias": "sheetObject"; "required": true; "isSignal": true; }; "props": { "alias": "props"; "required": false; "isSignal": true; }; "detach": { "alias": "detach"; "required": false; "isSignal": true; }; "selected": { "alias": "selected"; "required": false; "isSignal": true; }; }, { "selected": "selectedChange"; }, never, never, true, never>;
}
